FGVIEWER(1)

NAME
fgviewer - An alternative FlightGear viewer application

SYNOPSIS
fgviewer [--fg-root rootdir] [--fg-scenery scenerydir] [--config configfile] [--prop property value] [--renderer rend] [--hla] [--federation fed]

DESCRIPTION
fgviewer is a viewer application that allows you to examine FlightGear scenery and objects without starting fgfs(1).

OPTIONS

--fg-root rootdir
    Set the FlightGear data root directory ($FG_ROOT) to rootdir. If this option is not set, fgviewer uses the path specified in the FG_ROOT environment variable or, absent that, the FlightGear data directory chosen at the time the program was compiled.

--fg-scenery scenerydir
    Set the FlightGear scenery directory ($FG_SCENERY) to scenerydir. If this option is not set, fgviewer uses the path specified in the FG_SCENERY environment variable or, absent that, the Scenery subdirectory inside $FG_ROOT.

--config configfile
    Read configuration directives from configfile.

--prop property value
    Set the property named property to value.

--renderer rend
    Use the renderer named rend to render the scenery. This option is currently not supported.

--hla
    Enable HLA federation.

--federation fed
    Enable a custom federation named fed.

EXIT STATUS
fgviewer exits with EXIT_SUCCESS on success, with EXIT_FAILURE if the syntax of the command-line arguments is wrong or an error occurs.

ENVIRONMENT

FG_ROOT
    If FG_ROOT is set and --fg-root is not set, it specifies the root data directory to use.

FG_SCENERY
    If FG_SCENERY is set and --fg-scenery is not set, it specifies the scenery directory to use.

FILES

$FG_ROOT/defaults.xml
    Default preferences file loaded on startup.

SEE ALSO
fgfs(1)